Package org.apache.sysds.runtime.einsum

# Enum Class EOpNodeBinary.EBinaryOperand

java.lang.Object
java.lang.Enum<EOpNodeBinary.EBinaryOperand>
org.apache.sysds.runtime.einsum.EOpNodeBinary.EBinaryOperand

All Implemented Interfaces:
  `Serializable`, `Comparable<EOpNodeBinary.EBinaryOperand>`, `Constable`

Enclosing class:
  EOpNodeBinary

public static enum EOpNodeBinary.EBinaryOperand extends Enum<EOpNodeBinary.EBinaryOperand>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`a_a`
`A_A`
`A_B`
`A_scalar`
`aB_a`
`AB_A`
`ab_ab`
`aB_aB`
`Ab_Ab`
`AB_AB`
`aB_aC`
`Ab_b`
`AB_B`
`ab_ba`
`aB_Ba`
`Ab_bA`
`AB_BA`
`aB_Ca`
`AB_scalar`
`Ba_aC`
`Ba_Ca`
`scalar_scalar`

## Method Summary

Modifier and Type
Method
Description
`static EOpNodeBinary.EBinaryOperand`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EOpNodeBinary.EBinaryOperand[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Ba_aC

public static final EOpNodeBinary.EBinaryOperand Ba_aC

### aB_Ca

public static final EOpNodeBinary.EBinaryOperand aB_Ca

### Ba_Ca

public static final EOpNodeBinary.EBinaryOperand Ba_Ca

### aB_aC

public static final EOpNodeBinary.EBinaryOperand aB_aC

### aB_aB

public static final EOpNodeBinary.EBinaryOperand aB_aB

### Ab_Ab

public static final EOpNodeBinary.EBinaryOperand Ab_Ab

### Ab_bA

public static final EOpNodeBinary.EBinaryOperand Ab_bA

### aB_Ba

public static final EOpNodeBinary.EBinaryOperand aB_Ba

### ab_ab

public static final EOpNodeBinary.EBinaryOperand ab_ab

### ab_ba

public static final EOpNodeBinary.EBinaryOperand ab_ba

### aB_a

public static final EOpNodeBinary.EBinaryOperand aB_a

### Ab_b

public static final EOpNodeBinary.EBinaryOperand Ab_b

### A_A

public static final EOpNodeBinary.EBinaryOperand A_A

### AB_AB

public static final EOpNodeBinary.EBinaryOperand AB_AB

### AB_BA

public static final EOpNodeBinary.EBinaryOperand AB_BA

### AB_A

public static final EOpNodeBinary.EBinaryOperand AB_A

### AB_B

public static final EOpNodeBinary.EBinaryOperand AB_B

### a_a

public static final EOpNodeBinary.EBinaryOperand a_a

### A_B

public static final EOpNodeBinary.EBinaryOperand A_B

### A_scalar

public static final EOpNodeBinary.EBinaryOperand A_scalar

### AB_scalar

public static final EOpNodeBinary.EBinaryOperand AB_scalar

### scalar_scalar

public static final EOpNodeBinary.EBinaryOperand scalar_scalar

## Method Details

### values

public static EOpNodeBinary.EBinaryOperand[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EOpNodeBinary.EBinaryOperand valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null